// Web Cartoon Maker character include file
// You should include this file if you want to use the character
// The character is based on public domain image from openclipart.org
// Original file name is: nicubunu_Comic_characters_Businessman.svg

class Man : public IHumanCharacterSideView
{
	public:

		// additional parts
		Part Hat;

		// default constructor to register character, parts and decals
		Man () : IHumanCharacterSideView ()
		{
			Hat.RegisterParent ( Head );

			Register ( 350, 350, 178, 348 );

			RegisterPart ( RightArm, "man/RightArm.svg", -32, -80, 144, 160 );
			RegisterPart ( RightLeg, "man/RightLeg.svg", -17, 8, 159, 248 );
			RegisterPart ( LeftLeg, "man/LeftLeg.svg", 30, 8, 206, 248 );
			RegisterPart ( Body, "man/Body.svg", -2, -108, 176, 240 );
			RegisterPart ( Head, "man/Head.svg", 0, -105, 176, 135 );
			RegisterPart ( Mouth, "man/Mouth.svg", -24, 2, 152, 137 );
			RegisterPart ( RightEye, "man/RightEye.svg", -31, -59, 145, 76 );
			RegisterPart ( LeftEye, "man/LeftEye.svg", -2, -58, 174, 77 );
			RegisterPart ( Hat, "man/Hat.svg", 1, -84, 177, 51 );
			RegisterPart ( LeftArm, "man/LeftArm.svg", 48, -80, 224, 160 );

			Mouth.RegisterDecal ( "SPEAK_M", "man/Mouth_Speak_M.svg" );
			Mouth.RegisterDecal ( "SPEAK_E", "man/Mouth_Speak_E.svg" );
			Mouth.RegisterDecal ( "SPEAK_A", "man/Mouth_Speak_A.svg" );
			Mouth.RegisterDecal ( "SPEAK_O", "man/Mouth_Speak_O.svg" );
			Mouth.RegisterDecal ( "SPEAK_W", "man/Mouth_Speak_W.svg" );

			LeftEye.RegisterDecal ( "WINK1", "man/LeftEye_Wink1.svg" );
			LeftEye.RegisterDecal ( "WINK2", "man/LeftEye_Wink2.svg" );

			RightEye.RegisterDecal ( "WINK1", "man/RightEye_Wink1.svg" );
			RightEye.RegisterDecal ( "WINK2", "man/RightEye_Wink2.svg" );

			RegisterSpeech ( "SAPI5", "Microsoft Sam", 0.5, 0.5, 1 );
		}
};
